Summary:	ico application - animate an icosahedron or other polyhedron
Summary(pl.UTF-8):	Aplikacja ico - animowanie dwudziestościanu lub innego wielościanu
Name:		xorg-app-ico
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/ico-%{version}.tar.xz
# Source0-md5:	0c5a669eb1930fd3fcf50978c8ac4ff3
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 0.99.1
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ico displays a wire-frame rotating polyhedron, with hidden lines
removed, or a solid-fill polyhedron with hidden faces removed. There
are a number of different polyhedra available; adding a new polyhedron
to the program is quite simple.

%description -l pl.UTF-8
ico wyświetla obracający się model drutowy dwudziestościanu bez
ukrytych krawędzi lub wypełniony wielościan bez niewidocznych ścian.
Dostępnych jest wiele różnych wielościanów; dodanie do programu nowego
wielościanu jest dość proste.

%prep
%setup -q -n ico-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/ico
%{_mandir}/man1/ico.1*
%changelog
* Mon Nov 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-ico.git;a=log;h=master

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> f6d65a7
- updated to 1.0.6

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> a1a273e
- updated to 1.0.5

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> f101623
- fix files
- rel 2

* Wed Jan 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 509b94d
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ee6ef69
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> ccb8291
- updated to 1.0.3

* Sat Jul 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 40395b2
- up to 1.0.2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 16a39d8
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 506ef87
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a73124b
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 9507a34
- use individual dir, more verbose files, release 1

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 28ea8c9
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> fb620d2
- 0.99.4 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 70b35e0
- 0.99.3 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> fea94ac
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> a2d656e
- 0.99.2 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 4501ba7
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 190dfc8
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 527492d
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 470e0af
- s/pkg-config/pkgconfig/ in BR:

